% This program prepares data structure needed to solve the Case Study
% CS_Project_Selection_FXCHG_psg_solver 

clear;

% Load the matrix matrix_CS_Project_Selection_FXCHG_NPV 
[header_npv_matrix, matrix_npv_arr] = read_matrix('matrix_CS_Project_Selection_npv.txt');

% Pack the matrix of Net Present Values
iargstruc_arr(1) = object_pack('matrix_CS_Project_Selection_npv',header_npv_matrix, matrix_npv_arr);

% Load the matrix matrix_CS_Project_Selection_FXCHG_costs 
[header_costs_matrix, matrix_costs_arr] = read_matrix('matrix_CS_Project_Selection_costs.txt');

% Pack the matrix of costs
iargstruc_arr(length(iargstruc_arr)+1)  = object_pack('matrix_CS_Project_Selection_costs',header_costs_matrix, matrix_costs_arr);

% Load the point point_lowerbounds 
[header_point_lowerbounds, point_lowerbounds_arr] = read_point('point_lowerbounds.txt');

% Pack the point of lowerbounds
iargstruc_arr(length(iargstruc_arr)+1)  = object_pack('point_lowerbounds',header_point_lowerbounds,  point_lowerbounds_arr);

% Load the point point_upperbounds 
[header_point_upperbounds, point_upperbounds_arr] = read_point('point_upperbounds.txt');

% Pack the point of upperbounds
iargstruc_arr(length(iargstruc_arr)+1)  = object_pack('point_upperbounds',header_point_upperbounds,  point_upperbounds_arr);

% Save mat file with data structure array iargstruc_arr to the folder
% .\CS_Project_Selection_FXCHG
save  CS_Project_Selection_FXCHG_psg_solver_data.mat  iargstruc_arr


%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2014.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|